Skip to main content
POST
/
api
/
sessions
Create a hosted clone session
curl --request POST \
  --url https://archal.ai/api/sessions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "clones": [
    "<string>"
  ],
  "scenarioId": "<string>",
  "preflightOnly": true,
  "transport": "cloud",
  "ttlSeconds": 43200,
  "scenarioRunCount": 1,
  "rateLimit": 50000,
  "routing": {},
  "seeds": {},
  "source": {},
  "credential": {},
  "runConfig": {},
  "scenarioDraft": {},
  "runProject": {}
}
'
{
  "sessionId": "<string>",
  "status": "<string>",
  "cloneIds": [
    "<string>"
  ],
  "endpoints": {},
  "apiBaseUrls": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "expiresAt": "2023-11-07T05:31:56Z",
  "alive": true,
  "mcp": {},
  "resolvedSeeds": {},
  "evidence": {},
  "runtimeProvider": "<string>",
  "scenarioId": "<string>",
  "batchId": "<string>",
  "batchSuiteName": "<string>",
  "endedAt": "2023-11-07T05:31:56Z",
  "lastError": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.archal.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string
Maximum string length: 200

Body

application/json
clones
string[]
required
Minimum array length: 1
Example:
["github"]
scenarioId
string
preflightOnly
boolean
transport
string
default:cloud
Example:

"cloud"

ttlSeconds
integer
Required range: 1 <= x <= 86400
scenarioRunCount
integer
default:1
Required range: 1 <= x <= 1000
rateLimit
integer
Required range: 1 <= x <= 100000
routing
object
seeds
object
source
object
credential
object
runConfig
object
scenarioDraft
object
runProject
object

Response

Created hosted clone session.

sessionId
string
required
status
string
required
Examples:

"starting"

"running"

"ended"

"failed"

cloneIds
string[]
required
endpoints
object
required
apiBaseUrls
object
required
createdAt
string<date-time>
required
expiresAt
string<date-time>
required
alive
boolean
mcp
object
resolvedSeeds
object
evidence
object
runtimeProvider
string
scenarioId
string | null
batchId
string | null
batchSuiteName
string | null
endedAt
string<date-time> | null
lastError
string | null